Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 429708 - dev-libs/jemalloc keyword request
Summary: dev-libs/jemalloc keyword request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on: 429946
Blocks: 474800
  Show dependency tree
 
Reported: 2012-08-03 19:32 UTC by Robin Johnson
Modified: 2014-06-05 13:14 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2012-08-03 19:32:12 UTC
Arches, please keywork dev-libs/jemalloc for your arches. This is a new dependencies for MySQL 5.5 (dev-libs/jemalloc XOR dev-util/google-perftools).

Target keywords: ~alpha ~arm ~hppa ~ia64
Comment 1 Anthony Basile gentoo-dev 2012-08-07 19:36:51 UTC
Keyword ~arm
Comment 3 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2012-11-01 23:35:08 UTC
Still pending: ~alpha ~hppa ~sparc
Comment 4 Agostino Sarubbo gentoo-dev 2012-12-19 18:40:46 UTC
ia64 done
Comment 5 Raúl Porcel (RETIRED) gentoo-dev 2012-12-29 19:42:13 UTC
~alpha done, fails to build on sparc, have to investigate...
Comment 6 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2013-01-21 22:00:31 UTC
pending keywords:
~sparc, ~sh, ~s390

s390+sh added as tcmalloc is not available on those platforms due to ASM in tcmalloc source.
Comment 7 SpanKY gentoo-dev 2013-01-28 19:59:04 UTC
with jemalloc, it has an __s390x__ case, but no __s390__, so it fails to build.  funny because usually it's the other way around.

include/jemalloc/internal/jemalloc_internal.h.in
Comment 9 Brian Evans Gentoo Infrastructure gentoo-dev 2013-07-24 15:06:16 UTC
Any progress from sh or sparc?

This should now block bug 474800 (MySQL/MariaDB stable bug)
Comment 10 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2013-09-18 23:12:28 UTC
(In reply to Brian Evans from comment #9)
> Any progress from sh or sparc?
> 
> This should now block bug 474800 (MySQL/MariaDB stable bug)

The new mariadb-5.5.33 uses jemalloc by default.

@sh / @sparc:
*ping*
Comment 11 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2013-10-08 02:54:32 UTC
(In reply to Jorge Manuel B. S. Vicetto from comment #10)
> (In reply to Brian Evans from comment #9)
> > Any progress from sh or sparc?
> > 
> > This should now block bug 474800 (MySQL/MariaDB stable bug)
> 
> The new mariadb-5.5.33 uses jemalloc by default.
> 
> @sh / @sparc:
> *ping*

I'm trying to address open bugs and move changes from the overlay to the tree so we finally get 5.5 marked stable "soon" (hopefully this week or the next one).
Comment 12 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2014-04-25 01:07:06 UTC
I've pushed mariadb and mysql 5.5.37 into the tree. This means we'll have to mask the use flag in your arches or you need to test / add the keywords.
What do you prefer we do?
Comment 13 Brian Evans Gentoo Infrastructure gentoo-dev 2014-05-25 13:11:44 UTC
No response in 30 days since last request.

If sparc and sh do not respond in 2 weeks, I will just package.use.mask jemalloc for mysql and mariadb on those arches.
Comment 14 Brian Evans Gentoo Infrastructure gentoo-dev 2014-06-04 02:11:41 UTC
Added package.use.mask for sh

sparc was done previously by robbat2.

Closing